# Interface T8Property<TUnit>

Represents a single property value with its type and optional unit.

interface T8Property<TUnit> {
type: string;
unit?: TUnit;
value?: string | number | boolean;
}

#### Type Parameters

- TUnit

  The type used to represent units of measurement

##### Index

### Properties

type
unit?
value?

## Properties

### type

type: string

The type identifier of the property (e.g. IfcAreaMeasure or IfcText)

### `Optional` unit

unit?: TUnit

Optional unit of measurement for the property

### `Optional` value

value?: string | number | boolean

The property value (can be boolean, number, or string)